Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://swap-api.flux.fun/v1/tokens/market/{marketId}/{side}
import requests url = "https://swap-api.flux.fun/v1/tokens/market/{marketId}/{side}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://swap-api.flux.fun/v1/tokens/market/{marketId}/{side}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


{ "name": "Bitcoin $100K by Dec 31 - YES", "description": "Prediction market token for Bitcoin reaching $100,000", "properties": { "decimals": 0, "marketId": "KXBTC-24DEC31-T100K", "outcome": "yes", "tokenId": "0x123..." } }
Look up the ERC-1155 token ID for a specific prediction market and outcome side. Returns the token metadata including its on-chain ID.
The prediction market identifier
Market outcome side (yes or no)
Exchange name (default: Kalshi)
Token name
"Bitcoin $100K by Dec 31 - YES"
Token description
"Prediction market token for Bitcoin reaching $100,000"
Extended token properties
Show child attributes